POST
/
v1
/
calls
/
{uuid}
/
collect
Collect DTMF input
curl --request POST \
  --url https://api.wavix.com/v1/calls/{uuid}/collect \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "max_digits": 5,
  "timeout": 10,
  "termination_character": "#",
  "max_attempts": 3,
  "prompt": {
    "play": "https://examples.com/prompt.wav"
  }
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Path Parameters

uuid
string<uuid>
required

Call ID.

Body

application/json

DTMF collection parameters.

max_digits
integer

Maximum number of digits to collect.

Required range: 1 <= x <= 20
Example:

5

timeout
integer

Timeout for digit collection in seconds.

Required range: 1 <= x <= 60
Example:

10

termination_character
string

DTMF character that ends input collection.

Example:

"#"

max_attempts
integer

Maximum number of attempts.

Example:

3

prompt
object

Prompt to play before collecting digits. Play a prerecorded audio file or use Wavix Text-To-Speech.

Response

DTMF collection started.

success
boolean

Indicates whether the request was successful.

Example:

true